Index: /main/trunk/gli/src/org/greenstone/gatherer/download/DownloadJob.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/download/DownloadJob.java	(revision 31830)
+++ /main/trunk/gli/src/org/greenstone/gatherer/download/DownloadJob.java	(revision 31831)
@@ -318,10 +318,13 @@
 		    // Specify proxies as environment variables
 		    // Need to manually specify GSDLHOME and GSDLOS also
-		    env = new String[4];
+		    env = new String[6];
                     proxy_url = proxy_url.replaceAll("http://","");
 		    env[0] = "http_proxy=http://"+proxy_url;
-		    env[1] = "ftp_proxy=ftp://"+proxy_url;
-		    env[2] = "GSDLHOME=" + Configuration.gsdl_path;
-		    env[3] = "GSDLOS=" + Gatherer.client_operating_system;
+		    env[1] = "https_proxy=http://"+proxy_url; // HTTP protocol for https:// too
+		                // see also https://wiki.archlinux.org/index.php/proxy_settings
+		    env[2] = "ftp_proxy=ftp://"+proxy_url;
+		    env[3] = "GSDLHOME=" + Configuration.gsdl_path;
+		    env[4] = "GSDLOS=" + Gatherer.client_operating_system;
+		    env[5] = "WGETRC=" + LocalGreenstone.getBinOSDirectoryPath(Gatherer.client_operating_system)+"wgetrc"; // teach it where the wgetrc file lives, in gs2build/bin/<os>
 		    prcs = rt.exec(cmd, env); 
 		} 
@@ -329,7 +332,8 @@
 		    // Not Windows, but running client with download panel
 		    // Need to manually specify GSDLHOME and GSDLOS
-		    env = new String[2];
+		    env = new String[3];
 		    env[0] = "GSDLHOME=" + Configuration.gsdl_path;
 		    env[1] = "GSDLOS=" + Gatherer.client_operating_system;
+		    env[2] = "WGETRC=" + LocalGreenstone.getBinOSDirectoryPath(Gatherer.client_operating_system)+"wgetrc"; // teach it where the wgetrc file lives, in gs2build/bin/<os>
 		    prcs = rt.exec(cmd, env); 
 		}
@@ -623,5 +627,5 @@
 		    // Specify proxies as environment variables
 		    // Need to manually specify GSDLHOME and GSDLOS also
-		    env = new String[5];
+		    env = new String[6];
                     proxy_url = proxy_url.replaceAll("http://","");
 		    env[0] = "http_proxy=http://"+proxy_url;
@@ -631,5 +635,5 @@
 		    env[3] = "GSDLHOME=" + Configuration.gsdl_path;
 		    env[4] = "GSDLOS=" + Gatherer.client_operating_system;
-
+		    env[5] = "WGETRC=" + LocalGreenstone.getBinOSDirectoryPath(Gatherer.client_operating_system)+"wgetrc"; // teach it where the wgetrc file lives, in gs2build/bin/<os>
 		    prcs = new SafeProcess(cmd, env, null);
 		} 
@@ -637,8 +641,8 @@
 		    // Not Windows, but running client with download panel
 		    // Need to manually specify GSDLHOME and GSDLOS
-		    env = new String[2];
+		    env = new String[3];
 		    env[0] = "GSDLHOME=" + Configuration.gsdl_path;
 		    env[1] = "GSDLOS=" + Gatherer.client_operating_system;
-
+		    env[2] = "WGETRC=" + LocalGreenstone.getBinOSDirectoryPath(Gatherer.client_operating_system)+"wgetrc"; // teach it where the wgetrc file lives, in gs2build/bin/<os>
 		    prcs = new SafeProcess(cmd, env, null);
 		}
Index: /main/trunk/gli/src/org/greenstone/gatherer/download/ServerInfoDialog.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/download/ServerInfoDialog.java	(revision 31830)
+++ /main/trunk/gli/src/org/greenstone/gatherer/download/ServerInfoDialog.java	(revision 31831)
@@ -115,5 +115,5 @@
 		    // Specify proxies as environment variables
 		    // Need to manually specify GSDLHOME and GSDLOS also
-		    env = new String[5];
+		    env = new String[6];
                     proxy_url = proxy_url.replaceAll("http://","");
 		    env[0] = "http_proxy=http://"+proxy_url;
@@ -123,4 +123,5 @@
 		    env[3] = "GSDLHOME=" + Configuration.gsdl_path;
 		    env[4] = "GSDLOS=" + Gatherer.client_operating_system;
+		    env[5] = "WGETRC=" + LocalGreenstone.getBinOSDirectoryPath(Gatherer.client_operating_system)+"wgetrc"; // teach it where the wgetrc file lives, in gs2build/bin/<os>
 		    prcs = new SafeProcess(command, env, null);
 		} 
Index: /main/trunk/gli/src/org/greenstone/gatherer/greenstone/LocalGreenstone.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/greenstone/LocalGreenstone.java	(revision 31830)
+++ /main/trunk/gli/src/org/greenstone/gatherer/greenstone/LocalGreenstone.java	(revision 31831)
@@ -44,5 +44,10 @@
 	return gsdl_directory_path + "bin" + File.separator + "script" + File.separator;
     }
-
+    
+    static public String getBinOSDirectoryPath(String operatingSystem)
+    {
+	return gsdl_directory_path + "bin" + File.separator + operatingSystem + File.separator;
+    }
+    
 
     static public String getDirectoryPath()