Index: /main/trunk/greenstone2/build-src/packages/Makefile
===================================================================
--- /main/trunk/greenstone2/build-src/packages/Makefile	(revision 31831)
+++ /main/trunk/greenstone2/build-src/packages/Makefile	(revision 31832)
@@ -40,5 +40,5 @@
 
 PACKAGEDIRS +=	rtftohtml/rtftohtml_src pdftohtml/pdftohtml_gs \
-		wget/wget-1.15-gs cpan/XML-Parser-2.41 \
+		wget/wget-1.17.1-gs cpan/XML-Parser-2.41 \
 		xlhtml/xlhtml-0.4.9.0 isis-gdl html-tidy/tidy
 OPENSSL_PKG = openssl/openssl-1.0.2l
Index: /main/trunk/greenstone2/build-src/packages/Makefile.in
===================================================================
--- /main/trunk/greenstone2/build-src/packages/Makefile.in	(revision 31831)
+++ /main/trunk/greenstone2/build-src/packages/Makefile.in	(revision 31832)
@@ -40,5 +40,5 @@
 
 PACKAGEDIRS +=	rtftohtml/rtftohtml_src pdftohtml/pdftohtml_gs \
-		wget/wget-1.15-gs cpan/XML-Parser-2.41 \
+		wget/wget-1.17.1-gs cpan/XML-Parser-2.41 \
 		xlhtml/xlhtml-0.4.9.0 isis-gdl html-tidy/tidy
 OPENSSL_PKG = openssl/openssl-1.0.2l
Index: /main/trunk/greenstone2/build-src/packages/configure
===================================================================
--- /main/trunk/greenstone2/build-src/packages/configure	(revision 31831)
+++ /main/trunk/greenstone2/build-src/packages/configure	(revision 31832)
@@ -252,6 +252,6 @@
 
 # configure wget
-wget_pkgname=wget-1.15-gs
-#wget_pkgname=wget-1.17.1-gs
+#wget_pkgname=wget-1.15-gs
+wget_pkgname=wget-1.17.1-gs
 echo ""
 echo "Configuring wget"
@@ -281,17 +281,13 @@
 
 # for wget-1.15-gs. (can also try adding --localstatedir="$bindir/wget" --enable-iri)
-echo CPPFLAGS="-I/$PACKAGES/openssl/include" LDFLAGS="-L/$PACKAGES/openssl/lib" ./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --bindir="$bindir" -disable-nls $HOSTTARGETFLAGS $wget_extraarg
+##echo CPPFLAGS="-I/$PACKAGES/openssl/include" LDFLAGS="-L/$PACKAGES/openssl/lib" ./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --bindir="$bindir" -disable-nls $HOSTTARGETFLAGS $wget_extraarg
+##cd "$PACKAGES/wget/$wget_pkgname" && \
+##CPPFLAGS="-I/$PACKAGES/openssl/include" LDFLAGS="-L/$PACKAGES/openssl/lib" ./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --bindir="$bindir" -disable-nls $HOSTTARGETFLAGS $wget_extraargs
+
+# for wget-1.17.1-gs. (can also try adding --localstatedir="$bindir/wget" --enable-iri)
+echo OPENSSL_CFLAGS="-I/$PACKAGES/openssl/include" OPENSSL_LIBS="-L/$PACKAGES/openssl/lib -lssl -lcrypto" ./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --with-openssl=auto --with-libssl-prefix="$PACKAGES/openssl" --bindir="$bindir" -disable-nls $HOSTTARGETFLAGS $wget_extraargs
 cd "$PACKAGES/wget/$wget_pkgname" && \
-CPPFLAGS="-I/$PACKAGES/openssl/include" LDFLAGS="-L/$PACKAGES/openssl/lib" ./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --bindir="$bindir" -disable-nls $HOSTTARGETFLAGS $wget_extraargs
-
-# for wget-1.17.1-gs. (can also try adding --localstatedir="$bindir/wget" --enable-iri)
-#echo OPENSSL_CFLAGS="-I/$PACKAGES/openssl/include" OPENSSL_LIBS="-L/$PACKAGES/openssl/lib -lssl -lcrypto" ./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --with-openssl=auto --with-libssl-prefix="$PACKAGES/openssl" --bindir="$bindir" -disable-nls $HOSTTARGETFLAGS $wget_extraargs
-#cd "$PACKAGES/wget/$wget_pkgname" && \
-#OPENSSL_CFLAGS="-I/$PACKAGES/openssl/include" OPENSSL_LIBS="-L/$PACKAGES/openssl/lib -lssl -lcrypto" ./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --with-openssl=auto --with-libssl-prefix="$PACKAGES/openssl" --bindir="$bindir"  -disable-nls $HOSTTARGETFLAGS $wget_extraargs
-
-##
-##CPPFLAGS="-I/Scratch/ak19/gs3-svn-13July2017/gs2build/bin/linux/openssl/include" LDFLAGS="-L/Scratch/ak19/gs3-svn-13July2017/gs2build/bin/linux/openssl/lib" ./configure --prefix=/Scratch/ak19/gs3-svn-13July2017/gs2build/build-src/packages/wget --with-ssl=openssl --bindir="/Scratch/ak19/gs3-svn-13July2017/gs2build/bin/linux" -disable-nls
-##
-##make CPPFLAGS="-I/Scratch/ak19/gs3-svn-13July2017/gs2build/bin/linux/openssl/include" LDFLAGS="-L/Scratch/ak19/gs3-svn-13July2017/gs2build/bin/linux/openssl/lib -static"
+OPENSSL_CFLAGS="-I/$PACKAGES/openssl/include" OPENSSL_LIBS="-L/$PACKAGES/openssl/lib -lssl -lcrypto" ./configure $CACHE_FILE --prefix=$PACKAGES/wget --with-ssl=openssl --with-openssl=auto --with-libssl-prefix="$PACKAGES/openssl" --bindir="$bindir"  -disable-nls $HOSTTARGETFLAGS $wget_extraargs
+
 
 if test x$? = x1 ;