Index: /main/trunk/greenstone2/build-src/packages/wget/README
===================================================================
--- /main/trunk/greenstone2/build-src/packages/wget/README	(revision 31841)
+++ /main/trunk/greenstone2/build-src/packages/wget/README	(revision 31842)
@@ -93,16 +93,16 @@
 e.g. ./wget --no-check-certificate http://englishhistory.net/tudor/citizens/
 
-The system wget on Ubuntu 16.04 is version 1.17.1 and does not require this flag. Pre-compiled windows binaries are available for version 1.11.4 and also don't require the flag. We'd like both unix and windows operating systems to behave similarly, ideally. However, no matter which version of wget we compile up on Unix, 1.15, 1.17 or 1.19, and no matter which compiled version of openssl (1.0.2x or 1.1.0x) we've built it against, the wget binary we generate on unix always requires --no-check-certificate. So this will indeed be different from the wget 1.17+ binary we've downloaded for Windows.
-
+The system wget on Ubuntu 16.04 is version 1.17.1 and does not require this flag. The wget 1.11.4 we have on Windows so far, compiled without SSL does not work on https pages. 
 * http://nebm.ist.utl.pt/~glopes/wget/
-Prebuilt Windows wget binaries (for 32 and 64 bit) version 1.11.4 that includes SSL support
+Prebuilt Windows wget binaries (for 32 and 64 bit) version 1.11.4 that is described as including SSL support
 * http://gnuwin32.sourceforge.net/packages/wget.htm
 GNU's prebuilt Windows binaries of wget v 1.11.4. May not have been built with SSL support.
 
-The wget 1.11.4 we have, compiled without SSL does not work on https pages.
-Neither does the wget from http://nebm.ist.utl.pt/~glopes/wget/, even after including the --no-check-certificate flag in the wget command. So we'll need to upgrade the wget binary on Windows to a later version too. See the section WINDOWS WGET BINARIES WITH OPENSSL SUPPORT
-
-
-9) We're now shifting to wget-1.17.1 which is installed on Ubuntu 16.04, and for which a windows binary compiled with OpenSSL is available. Both the linux system version and windows binary work on https urls without the --no-check-certificate flag being necessary. However, the compiled up Linux version still needs this flag, see under PROBLEM.
+However, the wget 1.11.4 Windows binary from http://nebm.ist.utl.pt/~glopes/wget/ does not work on HTTPS pages either, even after including the --no-check-certificate flag in the wget command. So we'll need to upgrade the wget binary on Windows to a later version too: pre-compiled windows binaries are available for versions newer than 1.11.4 (see the section WINDOWS WGET BINARIES WITH OPENSSL SUPPORT), with Windows' wget version 1.17.1 also not requiring the --no-check-certificate flag, similar to System versions of wget 1.17.1 on Ubuntu 16.04 but contrary to the compiled up version which requires the flag. We'd like both unix and windows operating systems to behave similarly, ideally. However, no matter which version of wget we compile up on Unix, 1.15, 1.17 or 1.19, and no matter which compiled version of openssl (1.0.2x or 1.1.0x) we've built it against, the wget binary we generate on unix always requires --no-check-certificate. So this will indeed be different from the wget 1.17+ binary we've downloaded for Windows.
+
+
+9) We're now shifting to wget-1.17.1 which is installed on Ubuntu 16.04, and for which a windows binary compiled with OpenSSL is available. The 32 bit version of the windows wget 1.17.1 binary has been downloaded from https://eternallybored.org/misc/wget/, instructions are in the section WINDOWS WGET BINARIES WITH OPENSSL SUPPORT. 
+
+Both the linux system version and windows binary work on https urls without the --no-check-certificate flag being necessary. However, the compiled up Linux version still needs this flag, see under PROBLEM.
 
 This way our perl code can launch wget as before, without always passing that additional flag. Hopefully the output in the Download pane will be the same so that the donwload parsing will work.
@@ -161,5 +161,5 @@
 
 
-COMBINING GREENSTONE's GPL with OpenSSL LICENSES
+COMBINING GREENSTONE'S GPL WITH OpenSSL LICENSES
 OpenSSL is under a double license, see https://www.openssl.org/source/license.html
 The licenses for GPL and OpenSSL are incompatible, see https://www.gnu.org/licenses/license-list.en.html#OpenSSL