Index: main/trunk/gli/classes/dictionary.properties
===================================================================
--- main/trunk/gli/classes/dictionary.properties	(revision 31860)
+++ main/trunk/gli/classes/dictionary.properties	(revision 31861)
@@ -1000,6 +1000,6 @@
 Preferences.Connection.ProgramCommand:Preview Command:
 Preferences.Connection.ProgramCommand_Tooltip:The launch command for the program used to view the collection preview. Remember to use %1 as the placeholder for the collection address, and to use speechmarks where necessary.
-Preferences.Connection.No_Check_Certificate: No certificate checking for Https URLs # Disable Https security certificate checking?
-Preferences.Connection.No_Check_Certificate_Tooltip:Tick to download from Https URLs even if they don't have a (valid) security certificate.
+Preferences.Connection.No_Check_Certificate: No certificate checking (effective on https URLs) # Disable https security certificate checking?
+Preferences.Connection.No_Check_Certificate_Tooltip:Tick to download even from https URLs that don\'t have a (valid) security certificate.
 Preferences.Connection.Proxy_Host:Proxy Host:
 Preferences.Connection.Proxy_Host_Tooltip:The address of your proxy server
Index: main/trunk/gli/src/org/greenstone/gatherer/download/URLConnectionManager.java
===================================================================
--- main/trunk/gli/src/org/greenstone/gatherer/download/URLConnectionManager.java	(revision 31860)
+++ main/trunk/gli/src/org/greenstone/gatherer/download/URLConnectionManager.java	(revision 31861)
@@ -41,7 +41,7 @@
 
 
-/** Use this class to get a URL connection with or without proxy settings, for Http or Https URLS,
- * and with no-check-certificate on or off for Https URLs.
- * This class has the ability to turn off checking security certificates for Https URLs to allow us to do 
+/** Use this class to get a URL connection with or without proxy settings, for http or https URLS,
+ * and with no-check-certificate on or off for https URLs.
+ * This class has the ability to turn off checking security certificates for https URLs to allow us to do 
  * the Java equivalent to running wget with --no-check-certificate. That part of the code is from
  * https://stackoverflow.com/questions/6659360/how-to-solve-javax-net-ssl-sslhandshakeexception-error
Index: main/trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java
===================================================================
--- main/trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 31860)
+++ main/trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 31861)
@@ -71,5 +71,5 @@
     private JButton ok_button;
     private JCheckBox show_file_size_checkbox;
-    private JCheckBox no_check_certificate_checkbox; // Set no_check_certificate when retrieving Https URLs that have no (valid) certificate
+    private JCheckBox no_check_certificate_checkbox; // Set no_check_certificate when retrieving https URLs that have no (valid) certificate
     private JCheckBox use_proxy_checkbox;
     private JCheckBox view_extracted_metadata_checkbox;
Index: main/trunk/greenstone2/perllib/downloaders/WebDownload.pm
===================================================================
--- main/trunk/greenstone2/perllib/downloaders/WebDownload.pm	(revision 31860)
+++ main/trunk/greenstone2/perllib/downloaders/WebDownload.pm	(revision 31861)
@@ -192,5 +192,6 @@
     my $strBaseCMD = $strOptions." --tries=2 -q -O - \"$self->{'url'}\"";
 
-  
+    #print STDOUT "\n@@@@ GETTING server_info with WGET CMD: $strBaseCMD\n\n";
+    
     my $strIdentifyText = $self->useWget($strBaseCMD);
     
@@ -205,5 +206,5 @@
 	}
 	
-	# with or without proxying set, getting server info may have failed if the URL was Https
+	# with or without proxying set, getting server info may have failed if the URL was https
 	# but the site had no valid certificate and no_check_certificate wasn't turned on
 	# suggest to the user to try turning it on
Index: main/trunk/greenstone2/perllib/strings.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings.properties	(revision 31860)
+++ main/trunk/greenstone2/perllib/strings.properties	(revision 31861)
@@ -1338,5 +1338,5 @@
 WebDownload.proxied_connect_failed_info:Current proxy settings are:\n- host=%s\n- port=%s
 WebDownload.proxyless_connect_failed_info:- The external server might not be responding\n- or you might need to switch on proxy settings
-WebDownload.connect_failed_info:- or try ticking No Certificate Checking for Https\nin File > Preferences > Connection
+WebDownload.connect_failed_info:- or try ticking No Certificate Checking (affects https URLs)\nin File > Preferences > Connection
 
 WgetDownload.desc: Base class that handles calls to wget